NotificationControllerGetCurrentUsersNotifications Method |
GET /Notification/CurrentUser/
Gets all notifications for the current user.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("CurrentUser")]
public HttpResponseMessage GetCurrentUsersNotifications(
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("CurrentUser")>
Public Function GetCurrentUsersNotifications (
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"CurrentUser")]
HttpResponseMessage^ GetCurrentUsersNotifications(
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("CurrentUser")>]
member GetCurrentUsersNotifications :
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageA list of
NotificationData objects, or a status code indicating the problem.
See Also